Subject: Re: [GSoC PATCH v5 1/5] repo: declare the repo command

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Jul 2025 10:48:38 -0700

Lucas Seiki Oshiro <[email-masked]> writes:

>> Besides, wouldn't it possible that field may have to contain any
>> end-user specified key, including <LF>?
>
> In `repo info`, no. This way, it's safe to parse everything before
> the first <LF> as the key and everything between <LF> and <NUL> as
> the value.

OK.  Even "git config" punts there by restricting the subsection
part of the configuration variable name by forbidding LF and NUL in
it ;-)  So, I guess we are OK here.

Thanks for thinking it through.